Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class DesignConfig

    java.lang.Object
      org.eclipse.birt.core.framework.PlatformConfig
          org.eclipse.birt.report.model.api.DesignConfig

All Implemented Interfaces:
  org.eclipse.birt.core.framework.IPlatformConfig, IDesignConfig

    public class DesignConfig

extends org.eclipse.birt.core.framework.PlatformConfig
implements IDesignConfig

Wraps around configuration settings for design engine. Allows engine to provide customized implementations for image handling, hyperlink handling and font handling, etc.

Field Summary

Fields inherited from class org.eclipse.birt.core.framework.PlatformConfig
`properties`

Fields inherited from interface org.eclipse.birt.report.model.api.IDesignConfig
`RESOURCE_LOCATOR`

Fields inherited from interface org.eclipse.birt.core.framework.IPlatformConfig
`BIRT_HOME, OSGI_ARGUMENTS, OSGI_CONFIGURATION, PLATFORM_CONTEXT`

Constructor Summary
`DesignConfig()` constructor

Method Summary
`java.util.HashMap` | `getConfigMap()` returns a hash map that contains all the configuration objects
`IResourceLocator` | `getResourceLocator()`
`void` | `setConfigurationVariable(java.lang.String name, java.lang.String value)` sets a configuration variable that is available through scripting in engine
`void` | `setResourceLocator(IResourceLocator resourceLocator)`

Methods inherited from class org.eclipse.birt.core.framework.PlatformConfig
`getBIRTHome, getOSGiArguments, getOSGiConfig, getPlatformContext, getProperties, getProperty, setBIRTHome, setOSGiArguments, setOSGiConfig, setPlatformContext, setProperty`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DesignConfig

    public DesignConfig()

  constructor

Method Detail

### setConfigurationVariable

    public void setConfigurationVariable(java.lang.String name,
                                         java.lang.String value)

  sets a configuration variable that is available through scripting in engine

  Parameters:
    `name` - configuration variable name
    `value` - configuration variable value

### getConfigMap

    public java.util.HashMap getConfigMap()

  returns a hash map that contains all the configuration objects

  Returns:
    the configuration object map

### getResourceLocator

    public IResourceLocator getResourceLocator()

  Returns:
    the resourceLocator

### setResourceLocator

    public void setResourceLocator(IResourceLocator resourceLocator)

  Parameters:
    `resourceLocator` - the resourceLocator to set

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.